Subject: [bug#75045] [PATCH] services: restic-backup: Implement as a Shepherd timer.

From: paul <[email-masked]>
Date: Sun, 19 Jan 2025 23:02:26 +0100

Hi Ludo',

I should have addressed your comments, thank you for your help! I'm 
about to send a v2.

On 12/24/24 11:40, Ludovic Courtès wrote:
>> +                          (command
>> +                           (list
>> +                            (string-append #+bash-minimal "/bin/bash")
>> +                            "-l" "-c"
>> +                            (string-append "restic-guix backup " #$name))
> Why go through bash?  Would it be possible to execute ‘restic-guix’
> directly?
There may be some better way but we go through bash, instead of 
executing restic-guix directly, because the login shell gives us the 
correct user environment that some backends require, such as rclone.

I hope this clarifies and I'm definitely open to change this in case we 
find a better solution.

cheers,

giacomo